float4x4 transform;
float4x4 transform2;
float4x4 worldTransform;
float4x4 projViewTransform;
float4x4 blendTransform;
float4x4 blendTransform2;  
  
struct output_t
{
  float4 position : POSITION;
  float2 texCoord : TEXCOORD0;
};

output_t main(float4 position : POSITION, float3 normal : TEXCOORD1, float2 texCoord : TEXCOORD0, 
		      float blendWeight : BLENDWEIGHT0, float blendWeight2 : BLENDWEIGHT1)
{
  output_t vsOut;
   
  float4 wsPosition = mul(worldTransform, position);
  float4 blendPosition = blendWeight * mul(blendTransform, wsPosition);
  blendPosition += blendWeight2 * mul(blendTransform2, wsPosition);

  vsOut.position = mul(projViewTransform, blendPosition);//wsPosition;
  vsOut.texCoord = texCoord;
  return vsOut;
}
